<?php
/**
 * Simple Posts Order
 *
 * @package    SimplePostsOrder
 * @subpackage SimplePostsOrder registered in the database
/*
	Copyright (c) 2016- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

$simplepostsorderregist = new SimplePostsOrderRegist();

/** ==================================================
 * registered in the database
 */
class SimplePostsOrderRegist {

	/** ==================================================
	 * Construct
	 *
	 * @since 1.10
	 */
	public function __construct() {

		add_action( 'admin_init', array( $this, 'register_settings' ) );

	}

	/** ==================================================
	 * Settings register
	 *
	 * @since 1.0
	 */
	public function register_settings() {

		if ( ! get_option( 'simple_posts_order' ) ) {
			$simple_posts_order_tbl = array(
				'sort' => 'DESC',
				'orderby' => 'date',
				'showsort' => true,
				'style' => 'form',
			);
			update_option( 'simple_posts_order', $simple_posts_order_tbl );
		}

	}

}


